﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace ProxySuper.Core.Converters
{
    public class VisibleConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value.Equals(true) ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
            {
                return false;
            }

            if (value.Equals(Visibility.Visible))
            {
                return true;
            }

            return false;
        }
    }
}
